@import '../index';
@import '../rem';

//SELECTABLE

.Selectable .DayPicker-Month {
  border-collapse: separate !important;
  border-spacing: rem(2px);
}

.Selectable .DayPicker-Day--selected:not(.DayPicker-Day--outside) {
  background-color: var(--color-gray-blue);
  color: var(--color-black);
}

.Selectable .DayPicker-Day {
  border-radius: 0 !important;
  font-size: rem(15px);
  line-height: rem(24px);
  padding: rem(4px) rem(10px) rem(4px) rem(11px);

  &:focus {
    outline: none;
  }
}

.Selectable .DayPicker-Day--start, .Selectable .DayPicker-Day--end {
  color: var(--color-white)!important;
  border-radius: rem(16px) !important;
  background: var(--btn-blue-700)!important;
  overflow: hidden;
  position: relative;
  z-index: 1;
  &:before {
    content: none !important;
  }
}

.Selectable .DayPicker-Caption {
  text-align: center;
  font-size: rem(15px);
  line-height: rem(24px);
  margin-bottom: rem(16px);
}

.Selectable .DayPicker-Day--selected:not(.DayPicker-Day--disabled):not(.DayPicker-Day--outside):hover {
  background-color: var(--color-gray-blue);
}

.DayPicker:not(.DayPicker--interactionDisabled) .DayPicker-Day:not(.DayPicker-Day--disabled):not(.DayPicker-Day--selected):not(.DayPicker-Day--outside):hover {
  background-color: var(--color-white)!important;
}

.Selectable .DayPicker-Month {
  margin: rem(24px) rem(16px) 0;
}

.Selectable .DayPicker-Weekday {
  padding: rem(4px) rem(10px);
  font-size: rem(12px);
}

.Selectable .DayPicker-wrapper {
  &:focus {
    outline: none;
  }
}

.Selectable .DayPicker-Day--today {
  font-weight: normal;
  color: var(--color-black);
  position: relative;

  &:before {
    content: '';
    display: block;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    border-radius: rem(16px);
    border: rem(1px) solid var(--color-gray);
  }
}

.Selectable .DayPicker-Day.DayPicker-Day--selected {
  position: relative;

  &:after {
    content: '';
    position: absolute;
    width: rem(25px);
    top: 0;
    right: rem(-25px);
    bottom: 0;
    background: var(--color-gray-blue);
    border-top-right-radius: rem(16px);
    border-bottom-right-radius: rem(16px);
  }
}

.Selectable .DayPicker-Week div:last-child {
  &:after {
    content: none;
  }
}

.DayPicker-Day.DayPicker-Day--end.DayPicker-Day--selected.DayPicker-Day--outside {
  background: transparent!important;
}

.Selectable .DayPicker-Week div {
  &:first-child {
    border-top-left-radius: rem(16px)!important;
    border-bottom-left-radius: rem(16px)!important;
  }

  &:last-child {
    border-top-right-radius: rem(16px) !important;
    border-bottom-right-radius: rem(16px) !important;
  }
}

.Selectable .DayPicker-Body .DayPicker-Day--start + .DayPicker-Day.DayPicker-Day--selected {
  position: relative;
  border-top-left-radius: 0 !important;
  border-bottom-left-radius: 0 !important;

  &:before {
    content: '';
    position: absolute;
    width: rem(16px);
    top: 0;
    left: rem(-16px);
    bottom: 0;
    background: var(--color-gray-blue);
  }
}

.Selectable .DayPicker-Day.DayPicker-Day--today.DayPicker-Day--outside {
  &:before {
    content: none;
  }
}

.Selectable .DayPicker-Months {
    flex-wrap: nowrap;
}

.Selectable .DayPicker-Day--outside {
    overflow: hidden;
    background: transparent !important;

    &:after {
        background: transparent !important;
    }
}

.DayPicker-Day--outside + .DayPicker-Day.DayPicker-Day--selected {
    &:before {
        background: transparent !important;
    }
}

.DayPicker-Day--start + .DayPicker-Day.DayPicker-Day--selected {
      border-top-left-radius: 0!important;
      border-bottom-left-radius: 0!important;
}

.DayPicker-Day.DayPicker-Day--selected.DayPicker-Day--outside + .DayPicker-Day.DayPicker-Day--selected,
.DayPicker-Day.DayPicker-Day--start + .DayPicker-Day.DayPicker-Day--end.DayPicker-Day--selected {
      border-bottom-left-radius: rem(16px) !important;
      border-top-left-radius: rem(16px) !important;
}

.Selectable .DayPicker-Day--isLastDayOfMonth {
    border-top-right-radius: rem(16px) !important;
    border-bottom-right-radius: rem(16px) !important;

    &:after {
        content: none !important;
    }
}

.Selectable .DayPicker-Day--outside {
    overflow: hidden;
    background: transparent !important;
    color: transparent !important;
    cursor: not-allowed;
    pointer-events: none;
}

//INPUT

.input .DayPicker-Week {
  border-bottom: rem(2px) solid transparent;
}

.input .DayPicker-wrapper {
  position: relative;
}

.input .DayPicker-Caption {
  text-align: center;
  font-size: rem(15px);
  line-height: rem(24px);
  margin-bottom: rem(16px);
}

.input .DayPicker-Day {
  border-radius: 0 !important;
  font-size: rem(15px);
  line-height: rem(24px);
  padding: rem(3px) rem(11px) rem(3px) rem(12px);

  &:focus {
    outline: none;
  }
}

.input .DayPicker-Month {
  margin: rem(24px) rem(16px) 0;
}

.input .DayPicker-Weekday {
  padding: rem(4px) rem(10px);
  font-size: rem(12px);
  line-height: rem(16px);
}

.input .DayPicker-wrapper {
  &:focus {
    outline: none;
  }
}

.input .DayPicker-Day--today {
  font-weight: normal;
  color: var(--color-black);
  position: relative;

  &:before {
    content: '';
    display: block;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    border-radius: rem(16px);
    border: rem(1px) solid var(--color-gray-blue);
  }
}

.input .DayPicker-Day--selected {
  color: var(--color-white)!important;
  border-radius: rem(16px) !important;
  background: var(--color-primary)!important;
  overflow: hidden;
  position: relative;
  z-index: 1;
  &:before {
    content: none;
  }
}
